package com.emato.file.tunnel.controller;

import com.emato.file.tunnel.scheduler.ScanPullDirectoryTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.CompletableFuture;

/**
 * @author lhm
 * @version 1.0
 * 2021-08-25 19:10
 */
@RestController
public class TestController {

    @Autowired
    private ScanPullDirectoryTask scanPullDirectoryTask;

    @GetMapping("/send/{size}")
    public String test (@PathVariable("size") int size) {

        CompletableFuture.runAsync(() -> {
            scanPullDirectoryTask.sendCEB621(size);
        });

        return "发送成功";
    }

    @GetMapping("/scan")
    public String scan () {

        CompletableFuture.runAsync(() -> {
            scanPullDirectoryTask.scanDirectory();
        });

        return "扫描成功";
    }

}
